| mueval-core | Source code | Contents | Index

Mueval.Parallel

Synopsis

watchDog :: Int -> ThreadId -> IO ()
block :: (t -> MVar a -> IO t1) -> t -> IO a
forkedMain :: Options -> IO ()
forkedMain' :: Options -> MVar String -> IO ThreadId

Documentation

watchDog :: Int -> ThreadId -> IO () | Source

Fork off a thread which will sleep and then kill off the specified thread.

block :: (t -> MVar a -> IO t1) -> t -> IO a | Source

A basic blocking operation.

forkedMain :: Options -> IO () | Source

Using MVars, block on forkedMain' until it finishes.

forkedMain' :: Options -> MVar String -> IO ThreadId | Source

Set a `watchDog` on this thread, and then continue on with whatever.
Produced by Haddock version 2.4.2